# API Reference

## Functions

## Sedes Objects

rlp.sedes.raw

  A sedes object that does nothing. Thus, it can serialize everything that can be directly encoded in RLP (nested lists of strings). This sedes can be used as a placeholder when deserializing larger structures.

rlp.sedes.binary

  A sedes object for binary data of arbitrary length (an instance of `rlp.sedes.Binary` with default arguments).

rlp.sedes.big_endian_int

  A sedes object for integers encoded in big endian without any leading zeros (an instance of `rlp.sedes.BigEndianInt` with default arguments).

## Exceptions